#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xebe5351, "inet_diag_register" },
	{ 0x4f993e35, "inet_diag_dump_one_icsk" },
	{ 0xdcb764ad, "memset" },
	{ 0xb33e1cf7, "inet_diag_unregister" },
	{ 0xd7cdb975, "dccp_hashinfo" },
	{ 0xde868af5, "inet_diag_dump_icsk" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "inet_diag,dccp");

